module GW
module TimeDisplayHelper

#------------------------------------------------------------
# 2012-12-21 21:12:00
def date_as_iso_date_time(time)
	return time.as_iso_date_time if !time.nil?
end

#------------------------------------------------------------
# 2012-12-21
def date_as_iso_date(time)
	return time.as_iso_date if !time.nil?
end

#------------------------------------------------------------
# Dec 21, 2012
def date_as_moDDYYYY(time)
	return time.as_moDDYYYY if !time.nil?
end

#------------------------------------------------------------
# Dec 21, 2012 12:21 PM
def date_as_moDDYYYY_time12Mins(time)
	return time.as_moDDYYYY_time12Mins if !time.nil?
end

#------------------------------------------------------------
# Dec 21, 2012 21:12:00
def date_as_moDDYYYY_time24Secs(time)
	return time.as_moDDYYYY_time24Secs if !time.nil?
end

#------------------------------------------------------------
# December 21, 2012
def date_as_monthDDYYYY(time)
	return time.as_monthDDYYYY if !time.nil?
end

#------------------------------------------------------------
# Dec 2012
def date_as_moYYYY(time)
	return time.as_moYYYY if !time.nil?
end

#------------------------------------------------------------
# December 2012
def date_as_monthYYYY(time)
	return time.as_monthYYYY if !time.nil?
end

#: -
#------------------------------------------------------------
# 12:21:00 PM
def time12_with_seconds(time)
	return time.time12_with_seconds if !time.nil?
end

#------------------------------------------------------------
# 12:21 PM
def time12_with_minutes(time)
	return time.time12_with_minutes if !time.nil?
end

#------------------------------------------------------------
# 21:12:00
def time24_with_seconds(time)
	return time.time24_with_seconds if !time.nil?
end

#------------------------------------------------------------
# 21:12
def time24_with_minutes(time)
	return time.time24_with_minutes if !time.nil?
end


end
end
